"use strict";
const fs = require("fs");
const mkdirp = require("mkdirp");
const rimraf = require("rimraf");
function cleanupAll(directory) {
    if (!fs.existsSync(directory)) {
        return Promise.resolve();
    }
    return new Promise((resolve, reject) => {
        mkdirp(directory, (error) => {
            if (error) {
                reject(error);
            }
            if (fs.existsSync(directory)) {
                try {
                    rimraf.sync(directory);
                }
                catch (error) {
                    reject(error);
                }
            }
            resolve();
        });
    });
}
exports.cleanupAll = cleanupAll;
//# sourceMappingURL=cleanup-all.js.map