import { EnvironmentConfig } from './config';
export interface GitLFSLookup {
    url: string;
    fileName: string;
}
export interface Asset {
    browser_download_url: string;
    name: string;
    label: string;
}
export declare class Downloader {
    private static getReleaseAssets(owner, repo, tag);
    static resolveGitLFSForPlatform(version: string, platform: string): Promise<GitLFSLookup>;
    private static download(alias, url, destination);
    static downloadGit(config: EnvironmentConfig, temporaryDirectory: string): Promise<void>;
    static downloadGitLFS(config: EnvironmentConfig, temporaryDirectory: string): Promise<void>;
}
